Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85913 - Rebuilding of openssl package crash with core dump
Summary: Rebuilding of openssl package crash with core dump
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: openssl
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tomas Mraz
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-10 19:02 UTC by Seweryn Walentynowicz
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-02-04 12:59:51 UTC


Attachments (Terms of Use)

Description Seweryn Walentynowicz 2003-03-10 19:02:24 UTC
Description of problem:
 Rebuilding openssl package relased in updates ( rpm --rebuild ) core dumped
in comipling stage. This happens straight after succesfully compiled SWIG tool
and next calling command:
 ./swig -I swig_lib -d ./Doc.swiglib ./swig_lib/autodbc.i
 It seems that swig compiled with version 2.96-85 c++ compiler, actually from
updates for RH 7.0 system, generate buggy code, which coredumped even in simply
calling
 ./swig 

Version-Release number of selected component (if applicable):
openssl-0.9.6-14.src.rpm
gcc-c++-2.96-85

How reproducible:
 on each run


Steps to Reproduce:
1. rpm --rebuild openssl-0.9.6-14.src.rpm
2.
3.
    
Actual results:
 core dumped

Expected results:
 building of binary packages

Additional info:
 previous updates release openssl-0.9.6-13 crashes too identically

Comment 1 Tomas Mraz 2005-02-04 12:59:51 UTC
Reopen if it still happens on the current Fedora Core.



Note You need to log in before you can comment on or make changes to this bug.